module Hyrax
  module Workflow
    ##
    # This is a built in function for workflow, so that a workflow action can be created that
    # Register date work is archived
    module RegisterArchiveDate
      def self.call(target:, **)
        complex_date = ComplexDate.new(RDF::Node.new, ActiveTriples::Resource.new)
        complex_date.date = Date.today.strftime('%d/%m/%Y')
        complex_date.description = 'Archived'
        target.complex_date = target.complex_date + [complex_date]
        target.save
      end
    end
  end
end
